RenewNatGateway
1. API Description
This API (RenewNatGateway) is used to restore a specified NAT gateway.
2. Input Parameters
The following request parameter list only provides API request parameters.
Parameter Name
Required
Type
Description
3. Output Parameters
Parameter Name
Type
Description
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Restore a NAT gateway.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewNatGateway
<Common Request Params>
Request:
{
"natGatewayId": "<natGatewayId>"
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
404
INVALID_NAT_NOT_FOUND
NAT gateway does not exist.
400
OPERATION_DENIED_INSTANCE_STATUS_NOT_SUPPORT
Current instance state does not allow this operation.
Last updated